Update Console Command Bookmark
Update Console Command Bookmark. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Update Console Command Bookmark. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/servers.updateConsoleCommandBookmark" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "command": "string", "name": "string", "bookmarkId": "string" }'{ "result": { "data": { "id": "string", "organizationId": "string", "name": "string", "command": "string", "description": "string", "position": 0, "createdByMemberId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Save Shared Server Workspace POST
Save Shared Server Workspace. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Update OAuth Client POST
Update OAuth Client. This POST operation is exposed from the servers router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.